Package ru.bitel.oss.systems.inventory.product.server.event

# Class ProductAccountUpdateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.oss.systems.inventory.product.server.event.ProductAccountUpdateEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class ProductAccountUpdateEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ProductAccountUpdateEvent()`
  ``
  `ProductAccountUpdateEvent(int moduleId, int contractId, int accountId, int productId, PeriodWithTime period, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PeriodWithTime`
  `getPeriod()`
  `int`
  `getProductId()`
  `int`
  `getResultCode()`
  `String`
  `getResultMessage()`
  `void`
  `setResultCode(int resultCode)`
  `void`
  `setResultMessage(String resultMessage)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProductAccountUpdateEvent

    protected ProductAccountUpdateEvent()

  - ### ProductAccountUpdateEvent

    public ProductAccountUpdateEvent(int moduleId, int contractId, int accountId, int productId, PeriodWithTime period, int userId)

- ## Method Details

  - ### getResultCode

    public int getResultCode()

  - ### setResultCode

    public void setResultCode(int resultCode)

  - ### getResultMessage

    public String getResultMessage()

  - ### setResultMessage

    public void setResultMessage(String resultMessage)

  - ### getProductId

    public int getProductId()

  - ### getPeriod

    public PeriodWithTime getPeriod()